org.springframework.data.mapping.model

## Class SpELContext

- java.lang.Object
- - org.springframework.data.mapping.model.SpELContext

    public class SpELContext
    extends Object

Simple factory to create `SpelExpressionParser` and `EvaluationContext` instances.

Author:
  Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`SpELContext(PropertyAccessor accessor)` Creates a new `SpELContext` with the given `PropertyAccessor`.
`SpELContext(SpELContext source, BeanFactory factory)` Copy constructor to create a `SpELContext` using the given one's `PropertyAccessor` and `SpelExpressionParser` as well as the given `BeanFactory`.
`SpELContext(SpelExpressionParser parser, PropertyAccessor accessor)` Creates a new `SpELContext` using the given `SpelExpressionParser` and `PropertyAccessor`.

### Method Summary

All Methods Instance Methods Concrete Methods
`EvaluationContext` `getEvaluationContext(Object source)`
`ExpressionParser` `getParser()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpELContext

    public SpELContext(PropertyAccessor accessor)

Creates a new `SpELContext` with the given `PropertyAccessor`. Defaults the `SpelExpressionParser`.

Parameters:
  `accessor` -

#### SpELContext

    public SpELContext(SpelExpressionParser parser,
                       PropertyAccessor accessor)

Creates a new `SpELContext` using the given `SpelExpressionParser` and `PropertyAccessor`. Will default the `SpelExpressionParser` in case the given value for it is null.

Parameters:
  `parser` -
  `accessor` -

#### SpELContext

    public SpELContext(SpELContext source,
                       BeanFactory factory)

Copy constructor to create a `SpELContext` using the given one's `PropertyAccessor` and `SpelExpressionParser` as well as the given `BeanFactory`.

Parameters:
  `source` -
  `factory` -

### Method Detail

#### getParser

    public ExpressionParser getParser()

#### getEvaluationContext

    public EvaluationContext getEvaluationContext(Object source)